package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 业务研判和耕地与永久基本农田映射对象 t_dk_ywyp_hgx
 * 
 * @author siwei
 * @date 2025-03-17
 */
public class TDkYwypHgx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 地块类型 */
    @Excel(name = "地块类型")
    private String dkType;

    /** 说明 */
    @Excel(name = "说明")
    private String dkYupeValue;

    /** 业务研判 */
    @Excel(name = "业务研判")
    private String ywypCode;

    public void setDkType(String dkType) 
    {
        this.dkType = dkType;
    }

    public String getDkType() 
    {
        return dkType;
    }
    public void setDkYupeValue(String dkYupeValue) 
    {
        this.dkYupeValue = dkYupeValue;
    }

    public String getDkYupeValue() 
    {
        return dkYupeValue;
    }
    public void setYwypCode(String ywypCode) 
    {
        this.ywypCode = ywypCode;
    }

    public String getYwypCode() 
    {
        return ywypCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dkType", getDkType())
            .append("dkYupeValue", getDkYupeValue())
            .append("ywypCode", getYwypCode())
            .toString();
    }
}
